RIO_GET_SWPINFO_T(9)

NAME
rio_get_swpinfo_tports - Gets total number of ports on the switch

SYNOPSIS

u8 rio_get_swpinfo_tports (struct rio_mport * mport, u16 destid, u8 hopcount);

ARGUMENTS

mport
    Master port to send transaction

destid
    Destination ID associated with the switch

hopcount
    Number of hops to the device

DESCRIPTION

Returns total numbers of ports implemented by the switch device.

AUTHOR
Matt Porter <mporter@kernel.crashing.org> <mporter@mvista.com>.